<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_time.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php include ("../inc/func_txt.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php require ("../inc/mail.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$datedde = datefrang(strip_tags(trim(@$_POST["dateddef"])));
		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
		$codecocl = str_majuscules(strip_tags(trim(@$_POST["codecocl"])));
		$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
		$site = strip_tags(trim(@$_POST["idsite"]));
		$codeorig = str_majuscules(strip_tags(trim(@$_POST["codeorig"])));
		$codestatut = str_majuscules(strip_tags(trim(@$_POST["codestatut"])));
		$codelieu = str_majuscules(strip_tags(trim(@$_POST["codelieu"])));
		$urg = strip_tags(trim(@$_POST["urgence"]));
		$daterdvf = strip_tags(trim(@$_POST["daterdvf"]));
		if ($daterdvf <> "")
			$daterdv = datefrang($daterdvf);
		else
			$daterdv = "";
		$hrdv = strip_tags(trim(@$_POST["hrdv"]));
		$hrdv.=":00";
		$mat = strip_tags(trim(@$_POST["mat"]));
		$login = strip_tags(trim(@$_POST["login"]));
		$mdpsys = strip_tags(trim(@$_POST["mdpsys"]));
		$mdpbios = strip_tags(trim(@$_POST["mdpbios"]));
		$acompte = strip_tags(trim(@$_POST["acpte"]));
		$pbm = strip_tags(trim(@$_POST["pbm"]));
		$indexgar = strip_tags(trim(@$_POST["gar"]));
		if ($indexgar == "0")
			$gar = 0;
		else
			$gar = 1;

		$fgar = strip_tags(trim(@$_POST["fgar"]));
		if ($fgar == "") // Si pas de référence facture saisie, pas sous garantie
			$gar=0;

		$codetec = str_majuscules(strip_tags(trim(@$_POST["codetec"])));
		$duree = formateheure(strip_tags(trim(@$_POST["duree"])));
		$durees = heure_sec($duree);

		$fait = strip_tags(trim(@$_POST["fait"]));
		$dateprevf = strip_tags(trim(@$_POST["dateprevf"]));
		if ($dateprevf <> "")
			$dateprev = datefrang($dateprevf);
		else
			$dateprev = "";
		$reg = strip_tags(trim(@$_POST["reg"]));

		$datefinf = strip_tags(trim(@$_POST["datefinf"]));
		if ($datefinf <> "")
		{
			$datefin = datefrang($datefinf);
			$codestatut="CLOT"; // S'il existe une date de fin, c'est que le dossier est clôt
		}
		else
			$datefin = "";

		if (strtolower(strip_tags(trim(@$_POST["pieces_hs"]))) == "so")
			$pces = 0;
		if (strtolower(strip_tags(trim(@$_POST["pieces_hs"]))) == "rend")
			$pces = 1;
		if (strtolower(strip_tags(trim(@$_POST["pieces_hs"]))) == "cons")
			$pces = 2;

		$totalint = strip_tags(trim(@$_POST["totalint"]));
		
		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		$retourliste = TRUE;

		if (strip_tags(trim(@$_POST["enrimp"])) == "Enregistrer & Imprimer")
		{
			$imprim = TRUE;
			$retourliste = FALSE;
		}

		if ($typdde == "add")
		{
			$codei = crecode("I");

			// Ajout de la fiche Intervention
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "SELECT * FROM " .TBINT. " WHERE `int_code` = '$codei'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 0)
			{
				$rech2 = "INSERT INTO " .TBINT
				. " (int_datecrea,int_codecrea,int_datemod,int_codemod,int_datedde,int_code,int_codeage,int_codecli,int_codecocl,int_codeorig,int_codestatut,int_codelieu,int_urg,int_daterdv,int_hrdv,int_mat,int_login,int_mdpsys,int_mdpbios,int_pbm,int_gar,int_fgar,int_acpte,int_codetec,int_durees,int_fait,int_dateprev,int_codereg,int_datefin,int_pces,int_idsite)"
				. " VALUES"
				. " ('$datea','$codeuser','$datea','$codeuser','$datedde','$codei','$codeage','$codecli','$codecocl','$codeorig','$codestatut','$codelieu','$urg','$daterdv','$hrdv','$mat','$login','$mdpsys','$mdpbios','$pbm','$gar','$fgar','$acompte','$codetec','$durees','$fait','$dateprev','$reg','$datefin','$pces','$site')";
				$rs2 = mysql_query($rech2) or die(mysql_error());
	
				/* Vérification du type de client et MAJ si nécessaire */
				
				$rech2 = "SELECT cli_type FROM " .TBCLI. " WHERE `cli_code` = '$codecli'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
				if ($row = mysql_fetch_array($rs2))
				{
					extract ($row);
					
					// MAJ de la fiche Client (pour modification du type), et passage en type 'demande d'intervention' si pas déjà client
					if ($cli_type < 2)
					{
						$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`='".$codeage."', `cli_type`='1'  WHERE `cli_code` = '".$codecli."'";
						$rs2 = mysql_query($rech2) or die(mysql_error());
					}
				}
		
				$msg = "Intervention enregistrée";
			}
			else
			{
				$msg = "Ce code existe déjà !";
				$retourliste = FALSE;
				$imprim = FALSE;
			}

			mysql_free_result($rs);
			
			// Balayage et activation des problèmes sélectionnés
			if ($HTTP_SESSION_VARS["pbm_choisis"] <> "")
			{
				$tab_pbm = explode("-",$HTTP_SESSION_VARS["pbm_choisis"]);
				foreach ($tab_pbm as $id_pbm)
				{
					if ($id_pbm <> "")
					{
						$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$codei."' WHERE `rpbm_id`= '".$id_pbm."'";
						$rs = mysql_query($rech) or die(mysql_error());
					}
				}
			}
			
			mysql_close($conn);

			if ($retourliste == TRUE)
			{
				// Envoi d'email vers le client
				envoi_mail("Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","",TRUE);
				// Envoi d'email vers l'agence (Si pas créé par une agence)
				if ((@$HTTP_SESSION_VARS["niv_log"] <> 4) AND (@$HTTP_SESSION_VARS["niv_log"] <> 3))
					envoi_mail("Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
				// Envoi d'email vers le centre de gestion (Si pas créé par le CDG)
				if (@$HTTP_SESSION_VARS["niv_log"] <> 5)
					envoi_mail("Nouvelle intervention","int","cre","xxx","cdg",$codei,"","",FALSE);
			}
		}

		if ($typdde == "edit")
		{
			// MAJ de la fiche Intervention
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "UPDATE `" .TBINT. "` SET `int_datemod`='".$datea."', `int_codemod`='".$codeuser."',`int_daterdv`='".$daterdv."',`int_hrdv`='".$hrdv."', `int_codecli`='".$codecli."', `int_codeage`='".$codeage."', `int_codecocl`='".$codecocl."', `int_codeorig`='".$codeorig."', `int_codestatut`='".$codestatut."',";
			$rech .=" `int_codelieu`='".$codelieu."', `int_urg`='".$urg."', `int_mat`='".$mat."', `int_login`='".$login."', `int_mdpsys`='".$mdpsys."', `int_mdpbios`='".$mdpbios."', `int_pbm`='".$pbm."', `int_acpte`='".$acompte."', `int_codetec`='".$codetec."',`int_durees`='".$durees."', `int_fait`='".$fait."', `int_dateprev`='".$dateprev."', `int_datefin`='".$datefin."',";
			$rech .=" `int_gar`='".$gar."', `int_fgar`='".$fgar."', `int_codereg`='".$reg."', `int_pces`='".$pces."', `int_idsite`=".$site;
			$rech .=" WHERE `int_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());

			/* Vérification du type de client et MAJ si nécessaire */
			
			$rech2 = "SELECT * FROM " .TBCLI. " WHERE `cli_code` = '".$codecli."'";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			if ($row = mysql_fetch_array($rs2))
			{
				extract ($row);
				
				// MAJ de la fiche Client (pour modification du type), et passage en type 'demande d'intervention' ou 'Déjà Client' si pas déjà client
				if ($cli_type < 2)
				{
					if ($dateprev <> "") // Intervention effectuée et client prévenu
						$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`='".$codeage."', `cli_type`='2'  WHERE `cli_code` = '".$codecli."'";
					else // Non effectuée
						$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`='".$codeage."', `cli_type`='1' WHERE `cli_code` = '".$codecli."'";
					$rs2 = mysql_query($rech2) or die(mysql_error());
				}
			}

			// Balayage et mise à jour des problèmes sélectionnés
			
			// Mise à jour des champs codes interventions
			if ($HTTP_SESSION_VARS["pbm_choisis"] <> "")
			{
				$tab_pbm = explode("-",$HTTP_SESSION_VARS["pbm_choisis"]);
				$rech = "SELECT * FROM `" .TBRPBM. "` WHERE `rpbm_codeint`= '".$code."'";
				$rs = mysql_query($rech);
				while ($row = mysql_fetch_assoc($rs)) 
				{
					extract($row);

					 // L'ID a bien été choisi par l'utilisateur, donc on active (et on ne touche pas au traitement effectué)
					if (in_array($rpbm_id,$tab_pbm))
					{
						$rech2 = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$code."' WHERE `rpbm_id`= '".$rpbm_id."'";
						$rs2 = mysql_query($rech2) or die(mysql_error());
					}
					// L'ID n'a pas été choisi par l'utilisateur, donc on vide la date de traitement, le traitement, 
					// et le code intervention
					else
					{
						$rech2 = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= NULL, `rpbm_datett`= '', `rpbm_fait`= NULL  WHERE `rpbm_id`= '".$rpbm_id."'";
						$rs2 = mysql_query($rech2) or die(mysql_error());
					}

				}
			}
			
			// Traitement des problèmes affectés à l'intervention
			if ($codestatut == "CLOT")
			{
				// Si c'est clôt on prend la date de traitement de l'intervention comme date de traitement de chaque problème déclaré et solutionné
				$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datett`= '".$datett."' WHERE `rpbm_codeint`= '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
			}
			
			mysql_close($conn);

			// MAJ de l'historique du contrat

			$MAJ = exist_int_in_coclh($code);  // Vérifie si historique déjà créé

			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);

			if ($MAJ == FALSE)
			{
				// Si non : Ajout dans les historiques
			
				$rech = "INSERT INTO " .TBCOCLH;
				$rech.= " (coclh_codecli,coclh_codecocl,coclh_codeint)";
				$rech.= " VALUES";
				$rech.= " ('$codecli','$codecocl','$code')";
				$rs = mysql_query($rech) or die(mysql_error());
			}
			else
			{
				// Si oui : Mise à jour historique

				if ($codecocl <> "") // Si code contrat, on met à jour
				{
					$rech = "UPDATE `" .TBCOCLH;
					$rech.= "` SET `coclh_codecli`='".$codecli."', `coclh_codecocl`='".$codecocl."', `coclh_codeint`='".$code."'";
					$rech.= " WHERE `coclh_codeint` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());
				}
				else // Si pas de code contrat, on supprime s'il y en avait eu de saisi
				{
					$rech = "DELETE FROM `" .TBCOCLH. "` WHERE `coclh_codeint` = '$code'";
					$rs = mysql_query($rech) or die(mysql_error());
				}
			}

			mysql_close($conn);

			if ($codestatut <> "CLOT")
			{
				// Si l'intervention est terminée, on prévient le client

				if ($dateprevf <> "")
				{
					// Envoi d'email vers le client
					envoi_mail("Votre intervention ".$code." est terminée","int","fait","xxx","cli",$code,"",$totalint,TRUE);
				}
			}
			else
			{
				// On prévient le client de la clôture de l'intervention

				// Envoi d'email vers le client
				envoi_mail("Votre intervention ".$code." est close","int","clot","xxx","cli",$code,"",$totalint,TRUE);
				// Envoi d'email vers le centre de gestion
				if (mod_fact_age($int_codeage) == 0) // L'agence n'emet PAS ses factures
					envoi_mail("Intervention close","int","faitf","xxx","cdg",$code,"",$totalint,TRUE);
				else  // L'agence emet ses factures
					envoi_mail("Intervention close","int","faiti","xxx","cdg",$code,"",$totalint,TRUE);

				/*
				// Enrichissement de la base de connaissances
				
				$titre = "Intervention n°".$code." du ".$datefinf;
				
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				
				$rech = "INSERT INTO " .TBINTKB
				. " (intkb_datecrea,intkb_codecrea,intkb_datemod,intkb_codemod,intkb_codeint,intkb_titre,intkb_pbm,intkb_fait)"
				. " VALUES"
				. " ('$datea','$codeuser','$datea','$codeuser','$code','$titre','$gar','$fait')";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
				*/

				if ($codecocl <> "") // Si rattachée à un contrat, quelques tests
				{
					// Si quota, MAJ de la fiche Contrat au niveau temps consommé
					if (cocl_quota($codecocl) == TRUE)
					{
						if ($durees <> 0)
						{
							$nouv_solde = 0;
							$surplus = 0;
	
							$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
							mysql_select_db(DBNAME);
							$rech = "SELECT * FROM " .TBCOCL." WHERE `cocl_code` = '".$codecocl."'";
							$rs = mysql_query($rech) or die(mysql_error());
							if (mysql_num_rows($rs) <> 0)
							{
								if ($row = mysql_fetch_array($rs))
								{
									extract($row);
	
									$nouv_solde = $cocl_soldes - $durees;
									
									if ($nouv_solde <= 0) // Si nouveau solde<=0, on clôt le contrat
									{
										if ($nouv_solde <0)
										{
											$surplus = -$nouv_solde;
											if ($msg == "")
												$msg = "Le nombre d'heures effectuées est supérieur au solde d'heure du contrat ".$codecocl.".<br>Le contrat ".$codecocl." est clôt.";
											else
												$msg .="<br><br>Le solde d'heures est maintenant nul.<br>Le contrat ".$codecocl." est clôt.";
										}
										else
										{
											if ($msg == "")
												$msg = "Le solde d'heures est maintenant nul.<br>Le contrat ".$codecocl." est clôt.";
											else
												$msg .="<br><br>Le solde d'heures est maintenant nul.<br>Le contrat ".$codecocl." est clôt.";
										}
										$nouv_solde = 0;
										$retourliste = FALSE;
	
										$rech = "UPDATE `" .TBCOCL;
										$rech.= "` SET `cocl_soldes`='".$nouv_solde."', `cocl_datefin`='".$datea."'";
										$rech.= " WHERE `cocl_code` = '".$codecocl."'";
									}
									else // Sinon on met simplement le solde à jour
									{
										$rech = "UPDATE `" .TBCOCL;
										$rech.= "` SET `cocl_soldes`='".$nouv_solde."'";
										$rech.= " WHERE `cocl_code` = '".$codecocl."'";
									}
									$rs = mysql_query($rech) or die(mysql_error());
								}
							}
							mysql_close($conn);

							if ($nouv_solde <= 0) // Si nouveau solde<=0, on prévient de la clôture
							{
								// Envoi d'email vers le client
								envoi_mail("Clôture de votre contrat","con","clo","xxx","cli",$codecocl,"","",FALSE);
								// Envoi d'email vers l'agence
								envoi_mail("Clôture de contrat","con","clo","xxx","age",$codecocl,"","",FALSE);
								// Envoi d'email vers le centre de gestion
								envoi_mail("Clôture de contrat","con","clo","xxx","cdg",$codecocl,"","",TRUE);
							}
						}
					}
					// Si pas quota, MAJ de la fiche Contrat si date de fin dépassée
					else
					{
						$cloture = FALSE;
						
						$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
						mysql_select_db(DBNAME);
						$rech = "SELECT * FROM `" .TBCOCL. "` WHERE `cocl_code`='".$codecocl."'";
						$rs = mysql_query($rech) or die(mysql_error());
						if (mysql_num_rows($rs) == 0)
						{
							if ($row = mysql_fetch_array($rs))
							{
								extract ($row);

								// Si date fin de contrat dépassée (par date de fin d'intervention ou date du jour), on clôt
								if ((comp_date($cocl_datef,$datefin) == TRUE) OR (comp_date($cocl_datef,$datea) == TRUE))
								{
									$rech2 = "UPDATE `" .TBCOCL;
									$rech2.= "` SET `cocl_soldes`='0', `cocl_datefin`='".$datea."'";
									$rech2.= " WHERE `cocl_code` = '".$codecocl."'";
						
									$rs2 = mysql_query($rech2) or die(mysql_error());
									$cloture = TRUE;

									if ($msg == "")
										$msg = "La date d'échéance du contrat ".$codecocl." est atteinte ou dépassée. <br> Le contrat ".$codecocl." est clôt.";
									else
										$msg .= "<br><br>La date d'échéance du contrat ".$codecocl." est atteinte ou dépassée. <br> Le contrat ".$codecocl." est clôt.";
									$retourliste = FALSE;
								}
							}
						}
						mysql_close($conn);
						
						if ($cloture == TRUE)
						{
							// On prévient le client de la clôture
	
							// Envoi d'email vers le client
							envoi_mail("Clôture de votre contrat","con","clo","xxx","cli",$codecocl,"","",FALSE);
							// Envoi d'email vers l'agence
							envoi_mail("Clôture de contrat","con","clo","xxx","age",$codecocl,"","",FALSE);
							// Envoi d'email vers le centre de gestion
							envoi_mail("Clôture de contrat","con","clo","xxx","cdg",$codecocl,"","",TRUE);
						}
					}
				}
			}
			
			$msg = "Intervention modifiée";
		}

		if ($typdde == "del")
		{
			// SUPPRESSION de la fiche Intervention
			
			if ($codestatut <> "CLOT")
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "DELETE FROM `" .TBINT. "` WHERE `int_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);

				// Suppression de l'historique du contrat
	
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				$rech = "DELETE FROM `" .TBCOCLH. "` WHERE `coclh_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				mysql_close($conn);

				// Suppression des historiques articles sur cette intervention
	
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				$rech = "DELETE FROM `" .TBPDTI. "` WHERE `pdti_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				// On rend de nouveau disponible les problèmes affectés à cette intervention
				$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= NULL, `rpbm_datett`= NULL, `rpbm_fait`= NULL   WHERE `rpbm_codeint`= '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());

				mysql_close($conn);

				$msg = "Intervention supprimée";
			}
			else
			{
				$msg = "Impossible de supprimer une intervention close.";
				$retourliste = FALSE;
				$imprim = FALSE;				
			}
		}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Intervention</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

</head>
</body>

<?php 
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<br>
<br>
<?PHP if ($retourliste == FALSE) 
{ 
	if ($imprim == TRUE)
	{
		if ($typdde == "add")
		{
			$urlimp1 = "int_pdf.php?ci=".$codei;
			$urlimp2 = "int_pdf.php?ci=".$codei."&cgv=ok";
		}
		else
		{
			$urlimp1 = "int_pdf.php?ci=".$code;
			$urlimp2 = "int_pdf.php?ci=".$code."&cgv=ok";
		}
?>
		<p align="center">
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp1; ?>');")><img src="../img/print.gif" title="Imprimer la fiche (sans CGV)" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp1; ?>');")> Imprimer la fiche (sans CGV) </a></div>
		</p>
		<p align="center">
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp2; ?>');")><img src="../img/print.gif" title="Imprimer la fiche (avec CGV)" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp2; ?>');")> Imprimer la fiche (avec CGV) </a></div>
		</p>
<?PHP
		if ($surplus <> 0)
		{
			echo "<br><br>";
			echo "Que souhaitez-vous faire ?";
		}

	}
?>
<br>
<br>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="int_lst.php?ord=DES&tri=Code"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="int_lst.php?ord=DES&tri=Code" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
	// Vérification s'il s'agit d'une validation pour saisir les articles
	if (strip_tags(trim(@$_POST["intart"])) == "Valider pour saisir les articles")
	{
		$urlint = "int_maj.php?td=edit&ci=".$code."&cc=".$codecli."&ct=".$codetec."&ca=".$codeage."#intart";
		if ($codestatut <> "CLOT") // Pas de modification possible si intervention close
		{
?>
			<p align="center" class="annot_std_it">Retour à la saisie articles dans 2 secondes...</p>
			<script type="text/javascript">
			window.setTimeout("location=('<?PHP echo $urlint; ?>');",2000)
			</script>
<?PHP 
		}
		else
		{
?>
			<p align="center" class="annot_std_it">Intervention close, retour à la liste dans 2 secondes...</p>
			<script type="text/javascript">
			window.setTimeout("location=('int_lst.php?ord=DES&tri=Code');",2000)
			</script>
<?PHP
		}
	}
	else
	{
?>
		<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>
		<script type="text/javascript">
		window.setTimeout("location=('int_lst.php?ord=DES&tri=Code');",2000)
		</script>
<?PHP
	} 
}
?>
